<?php
/**
 * The default template for displaying content
 *
 * @package Catch Themes
 * @subpackage Catch_Box
 * @since Catch Box 1.0
 */
//Getting data from Theme Options Panel
global $catchbox_options_settings;
$options = $catchbox_options_settings;  
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<header class="entry-header">
			<h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'catchbox' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
			<h2 class="entry-format"><?php _e( 'Quote', 'catchbox' ); ?></h2>
            <div class="entry-meta">
                <?php catchbox_posted_on(); ?>
                <?php if ( comments_open() && ( $options[ 'commenting_setting' ] != 'disable' ) && ! post_password_required() ) : ?>
                    <span class="sep  sep-comment"> &mdash; </span>
                    <span class="comments-link">
                        <?php comments_popup_link(__('Leave a reply', 'catchbox'), __('1 Comment &darr;', 'catchbox'), __('% Comments &darr;', 'catchbox')); ?>
                    </span>
                <?php endif; ?>
            </div><!-- .entry-meta -->

		</header><!-- .entry-header -->

		<?php if ( is_search() ) : // Only display Excerpts for Search ?>
		<div class="entry-summary">
			<?php the_excerpt(); ?>
		</div><!-- .entry-summary -->
		<?php else : ?>
		<div class="entry-content">
			<?php 
			$more_tag_text = $options[ 'more_tag_text' ];
			the_content( sprintf( __( '%s', 'catchbox' ), esc_attr( $more_tag_text ) ) ); ?>
			<?php wp_link_pages( array( 
                'before'		=> '<div class="page-link"><span class="pages">' . __( 'Pages:', 'catchbox' ) . '</span>',
                'after'			=> '</div>',
                'link_before' 	=> '<span>',
                'link_after'   	=> '</span>',
            ) ); 
            ?>
		</div><!-- .entry-content -->
		<?php endif; ?>

		<footer class="entry-meta">
			<?php $show_sep = false; ?>
			<?php
				/* translators: used between list items, there is a space after the comma */
				$categories_list = get_the_category_list( __( ', ', 'catchbox' ) );
				if ( $categories_list ):
			?>
			<span class="cat-links">
				<?php printf( __( '<span class="%1$s">Posted in</span> %2$s', 'catchbox' ), 'entry-utility-prep entry-utility-prep-cat-links', $categories_list );
				$show_sep = true; ?>
			</span>
			<?php endif; // End if categories ?>
			<?php
				/* translators: used between list items, there is a space after the comma */
				$tags_list = get_the_tag_list( '', __( ', ', 'catchbox' ) );
				if ( $tags_list ):
				if ( $show_sep ) : ?>
			<span class="sep"> | </span>
				<?php endif; // End if $show_sep ?>
			<span class="tag-links">
				<?php printf( __( '<span class="%1$s">Tagged</span> %2$s', 'catchbox' ), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list );
				$show_sep = true; ?>
			</span>
			<?php endif; // End if $tags_list ?>

			<?php if ( comments_open() && ( $options[ 'commenting_setting' ] != 'disable' ) && ! post_password_required() ) : ?>
				<?php if ( $show_sep ) : ?>
					<span class="sep sep-comment"> | </span>
				<?php endif; // End if $show_sep ?>
				<span class="comments-link">
					<?php comments_popup_link(__('Leave a reply', 'catchbox'), __('1 Comment &darr;', 'catchbox'), __('% Comments &darr;', 'catchbox')); ?>
                </span>
			<?php endif; // End if comments_open() ?>

			<?php edit_post_link( __( 'Edit', 'catchbox' ), '<span class="edit-link">', '</span>' ); ?>
		</footer><!-- #entry-meta -->
	</article><!-- #post-<?php the_ID(); ?> -->
