<?php
if ( ! function_exists( 'catchbox_available_fonts' ) ) :
/**
 * Returns an array of fonts available to the theme.
 *
 * @since Catch Box Pro 1.0
 */
function catchbox_available_fonts() {	

	return array(
		'arial-black'			=> '"Arial Black", Gadget, sans-serif',
		'allan'					=> 'Allan, sans-serif',
		'allerta'				=> 'Allerta, sans-serif',
		'amaranth'				=> 'Amaranth, sans-serif',
		'arial'					=> 'Arial, Helvetica, sans-serif',
		'bitter'				=> 'Bitter, sans-serif',
		'cabin'					=> 'Cabin, sans-serif',
		'cantarell'				=> 'Cantarell, sans-serif',
		'century-gothic'		=> '"Century Gothic", sans-serif',
		'courier-new'			=> '"Courier New", Courier, monospace',
		'crimson-text'			=> '"Crimson Text", sans-serif',
		'dancing-script'		=> '"Dancing Script", sans-serif',
		'droid-sans'			=> '"Droid Sans", sans-serif',
		'droid-serif'			=> '"Droid Serif", sans-serif',
		'georgia'				=> 'Georgia, "Times New Roman", Times, serif',
		'helvetica'				=> 'Helvetica, "Helvetica Neue", Arial, sans-serif',
		'helvetica-neue'		=> '"Helvetica Neue",Helvetica,Arial,sans-serif',
		'istok-web'				=> '"Istok Web", sans-serif',
		'impact'				=> 'Impact, Charcoal, sans-serif',
		'lato'					=> '"Lato", sans-serif',
		'lucida-sans-unicode'	=> '"Lucida Sans Unicode", "Lucida Grande", sans-serif',
		'lucida-grande'			=> '"Lucida Grande", "Lucida Sans Unicode", sans-serif',
		'lobster'				=> 'Lobster, sans-serif',
		'lora'					=> '"Lora", serif',
		'monaco'				=> 'Monaco, Consolas, "Lucida Console", monospace, sans-serif',
		'nobile'				=> 'Nobile, sans-serif',
		'open-sans'				=> '"Open Sans", sans-serif',
		'oswald'				=> '"Oswald", sans-serif',
		'palatino'				=> 'Palatino, "Palatino Linotype", "Book Antiqua", serif',	
		'patua-one'				=> '"Patua One", sans-serif',
		'playfair-display'		=> '"Playfair Display", sans-serif',
		'pt-sans'				=> '"PT Sans", sans-serif',
		'pt-serif'				=> '"PT Serif", serif',
		'quattrocento-sans' 	=> '"Quattrocento Sans", sans-serif',
		'tahoma'				=> 'Tahoma, Geneva, sans-serif',
		'trebuchet-ms'			=> '"Trebuchet MS", "Helvetica", sans-serif',
		'times-new-roman'		=> '"Times New Roman", Times, serif',
		'ubuntu'				=> 'Ubuntu, sans-serif',
		'verdana'				=> 'Verdana, Geneva, sans-serif',
		'yanone-kaffeesatz' 	=> '"Yanone Kaffeesatz", sans-serif'
	);
	
}
endif;


/**
 * @package Catch Themes
 * @subpackage Catch_Box_Pro
 * @since Catch Box Pro 1.0
 */

/**
 * Set the default values for all the settings. If no user-defined values
 * is available for any setting, these defaults will be used.
 */
global $catchbox_options_defaults;
$catchbox_options_defaults = array(
	'disable_responsive'				=> '0',
	'enable_menus'						=> '0',
	'fav_icon'							=> get_template_directory_uri().'/images/favicon.ico',
 	'remove_favicon'					=> '0',	
	'web_clip'							=> get_template_directory_uri().'/images/apple-touch-icon.png',
 	'remove_web_clip'					=> '0',	
	'site_title_above'					=> '0',
	'search_display_text'				=> __( 'Search', 'catchbox' ),
	'disable_header_search'				=> '0',
	'reset_header_space'				=> '2',
	'header_top_size'					=> '30',
	'header_top_size_unit'				=> 'px',
	'header_right_size'					=> '30',
	'header_right_size_unit'			=> 'px',	
	'header_bottom_size'				=> '30',
	'header_bottom_size_unit'			=> 'px',
	'header_left_size'					=> '30',
	'header_left_size_unit'				=> 'px',	
	'color_scheme'						=> 'light',
	'header_background'					=> '#fff',
	'slider_background'					=> '#555',
	'content_background'				=> '#eee',
	'article_background'				=> '#fff',
	'footer_background'					=> '#fff',
	'footer_sidebar_background'			=> '#eee',
	'widget_background'					=> '#fff',
	'slider_text'						=> '#fff',
	'title_hover_color'					=> '#1982d1',
	'heading_color'						=> '#222',
	'heading_hover_color'				=> '#1982d1',
	'meta_color'						=> '#666',
	'text_color'						=> '#373737',
	'link_color'						=> '#1982d1',
	'widget_heading_color'				=> '#222',
 	'widget_text_color'					=> '#373737',
	'menu_background'					=> '#3d3d3d',
	'menu_color'						=> '#eee',
	'hover_background_color'			=> '#e5e5e5',
	'hover_text_color'					=> '#373737',
	'active_background_color'			=> 'transparent',
	'active_text_color'					=> '#eee',
	'sub_menu_bg_color'					=> '#f9f9f9',
	'sub_menu_text_color'				=> '#444',
	'scrollup_bg_color'					=> '#000',
	'scrollup_text_color'				=> '#fff',	
	'reset_color'						=> '2',
	'body_font'							=> 'helvetica',
	'title_font'						=> 'helvetica',
	'headings_font'						=> 'helvetica',
	'content_font'						=> 'helvetica',
	'reset_typography'					=> '2',
	'body_font_size'					=> '15',
	'body_font_size_unit'				=> 'px',
	'body_line_height'					=> '1.62',
	'body_line_height_unit'				=> 'em',
	'site_title_font_size'				=> '36',
	'site_title_font_size_unit'			=> 'px',
	'site_title_line_height'			=> '46',
	'site_title_line_height_unit'		=> 'px',
	'site_description_font_size'		=> '14',
	'site_description_font_size_unit'	=> 'px',
	'site_description_line_height'		=> '1.62',
	'site_description_line_height_unit'	=> 'em',
	'title_font_size'					=> '26',
	'title_font_size_unit'				=> 'px',
	'h1_font_size'						=> '26',
	'h1_font_size_unit'					=> 'px',
	'h2_font_size'						=> '24',
	'h2_font_size_unit'					=> 'px',
	'h3_font_size'						=> '22',
	'h3_font_size_unit'					=> 'px',
	'h4_font_size'						=> '20',
	'h4_font_size_unit'					=> 'px',
	'headings_line_height'				=> '1.62',
	'headings_line_height_unit'			=> 'em',
	'content_font_size'					=> '15',
	'content_font_size_unit'			=> 'px',
	'content_line_height'				=> '1.62',
	'content_line_height_unit'			=> 'em',
	'reset_typography_font_size'		=> '2',
	'sidebar_layout'					=> 'right-sidebar',
	'reset_sidebar_layout'				=> '2',
	'content_layout'					=> 'excerpt',
 	'front_page_category'				=> array(),
	'exclude_slider_post'				=> '0',
 	'slider_qty'						=> 4,
	'select_slider_type'				=> 'post-slider',
	'select_slider_layout'				=> 'normal',
	'enable_slider'						=> 'enable-slider-homepage',
	'slider_category'					=> array(),
 	'featured_slider'					=> array(),
	'featured_slider_page'				=> array(),
	'featured_image_slider_image'		=> array(),
	'featured_image_slider_link' 		=> array(),
	'featured_image_slider_base'		=> array(),
	'featured_image_slider_title' 		=> array(),
	'featured_image_slider_content' 	=> array(),
 	'transition_effect'					=> 'fade',
 	'transition_delay'					=> 4,
 	'transition_duration'				=> 1,
	'disable_footer_social'				=> 0,
 	'social_facebook'					=> '',
 	'social_twitter'					=> '',
 	'social_googleplus'					=> '',
 	'social_pinterest'					=> '',
 	'social_youtube'					=> '',
 	'social_vimeo'						=> '',
 	'social_linkedin'					=> '',
 	'social_aim'						=> '',
 	'social_myspace'					=> '',
 	'social_flickr'						=> '',
 	'social_tumblr'						=> '',
 	'social_deviantart'					=> '',
 	'social_dribbble'					=> '',
 	'social_wordpress'					=> '',
 	'social_rss'						=> '',
	'social_slideshare'					=> '',
 	'social_instagram'					=> '',
 	'social_skype'						=> '',
 	'social_soundcloud'					=> '',
	'social_email'						=> '',
	'social_xing'						=> '',
	'enable_specificfeeds'				=> '0',
 	'custom_css'						=> '',
	'disable_notifier'					=> '0',
	'disable_scrollup'					=> '0',
 	'google_verification'				=> '',
 	'yahoo_verification'				=> '',
 	'bing_verification'					=> '',
 	'analytic_header'					=> '',
 	'analytic_footer'					=> '',
 	'sidebar_layout'					=> 'right-sidebar',
 	'more_tag_text'						=> __( 'Continue Reading &rarr;', 'catchbox' ),
 	'excerpt_length'					=> 30,
	'feed_url'							=> '',
	'commenting_setting'				=> 'default',
	'commenting_disable_url'			=> '0',
	'footer_code'						=> '<div class="copyright">Copyright &copy; [the-year] <span>[site-link]</span>. All Rights Reserved.</div><div class="powered">'. esc_attr__( 'Theme:', 'catchbox' ) . ' [theme-link]</div>',
	'reset_footer'						=> '2'
);
global $catchbox_options_settings;
$catchbox_options_settings = catchbox_options_set_defaults( $catchbox_options_defaults );

function catchbox_options_set_defaults( $catchbox_options_defaults ) {
	$catchbox_options_settings = array_merge( $catchbox_options_defaults, (array) get_option( 'catchbox_options', array() ) );
	return $catchbox_options_settings;
}