<?php
/**
 * The Sidebar containing the main widget area.
 *
 * @package Catch Themes
 * @subpackage Catch_Box
 * @since Catch Box 1.0
 */
?>

<?php 
/** 
 * catchbox_before_secondary hook
 */
do_action( 'catchbox_before_secondary' );

	//Getting Ready to load data from Theme Options Panel
	global $post, $wp_query, $catchbox_options_settings;
	$options = $catchbox_options_settings;
	$themeoption_layout = $options['sidebar_layout'];
	
	// Front page displays in Reading Settings
	$page_on_front = get_option('page_on_front') ;
	$page_for_posts = get_option('page_for_posts'); 

	// Get Page ID outside Loop
	$page_id = $wp_query->get_queried_object_id();		
	
	if( $post) {
 		if ( is_attachment() ) { 
			$parent = $post->post_parent;
			$layout = get_post_meta( $parent,'catchbox-sidebarlayout', true );
			$sidebaroptions = get_post_meta( $parent, 'catchbox-sidebar-options', true );
		} else {
			$layout = get_post_meta( $post->ID,'catchbox-sidebarlayout', true ); 
			$sidebaroptions = get_post_meta( $post->ID, 'catchbox-sidebar-options', true );
		}
	}
	
	if( empty( $layout ) || ( !is_page() && !is_single() ) ) {
		$layout='default';
	}

	if ( !is_active_sidebar( 'catchbox_woocommerce_sidebar' ) && ( class_exists( 'Woocommerce' ) && is_woocommerce() ) ) {
		$layout = 'no-sidebar';
	}
	
	if ( ( $layout == 'left-sidebar' || $layout == 'right-sidebar' || ( $layout=='default' && $themeoption_layout == 'left-sidebar') || ( $layout=='default' && $themeoption_layout == 'right-sidebar') ) ) : 
	?>
        <div id="secondary" class="widget-area" role="complementary">
 			<?php 
			/** 
			 * catchbox_before_widget_start hook
			 */
			do_action( 'catchbox_before_widget_start' );
			
			if ( is_active_sidebar( 'catchbox_woocommerce_sidebar' ) && ( class_exists( 'Woocommerce' ) && is_woocommerce() ) ) {	
				dynamic_sidebar( 'catchbox_woocommerce_sidebar' ); 
			}	
			elseif ( is_active_sidebar( 'catchbox_home_sidebar' ) && ( is_front_page() || ( is_home() && $page_for_posts != $page_id ) ) ) {
                dynamic_sidebar( 'catchbox_home_sidebar' ); 
            }
			elseif ( ( is_archive() || ( is_home() && $page_for_posts == $page_id ) ) && is_active_sidebar( 'catchbox_archive_sidebar' ) ) {
                dynamic_sidebar( 'catchbox_archive_sidebar' ); 
            }
			elseif ( is_active_sidebar( 'catchbox_optional_sidebar_one' ) && $sidebaroptions == 'optional-sidebar-one' ) {
				dynamic_sidebar( 'catchbox_optional_sidebar_one' ); 
			}
			elseif ( is_active_sidebar( 'catchbox_optional_sidebar_two' ) && $sidebaroptions == 'optional-sidebar-two' ) {
				dynamic_sidebar( 'catchbox_optional_sidebar_two' ); 
			}
			elseif ( is_active_sidebar( 'catchbox_optional_sidebar_three' ) && $sidebaroptions == 'optional-sidebar-three' ) {
				dynamic_sidebar( 'catchbox_optional_sidebar_three' ); 
			}	
			elseif ( is_page_template( 'page-blog.php' ) && is_active_sidebar( 'catchbox_archive_sidebar' ) ) {
            	dynamic_sidebar( 'catchbox_archive_sidebar' ); 
        	}
            elseif ( is_page() && is_active_sidebar( 'catchbox_page_sidebar' ) ) {
                dynamic_sidebar( 'catchbox_page_sidebar' ); 
            }
            elseif ( is_single() && is_active_sidebar( 'catchbox_post_sidebar' ) ) {
                dynamic_sidebar( 'catchbox_post_sidebar' ); 
            }
            else {
                dynamic_sidebar( 'sidebar-1' ); 
            }
			
			/** 
			 * catchbox_after_widget_start hook
			 */
			do_action( 'catchbox_after_widget_start' );
            ?>
        </div><!-- #secondary .widget-area -->
    <?php endif;
	
/** 
 * catchbox_after_secondary hook
 */
do_action( 'catchbox_after_secondary' ); ?>